Package org.eclipse.birt.chart.model.data

# Interface Action

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `MultipleActions`

All Known Implementing Classes:
  `ActionImpl`, `MultipleActionsImpl`

public interface Action extends IChartObject
A representation of the model object 'Action'. This type defines an Action. An action is a property defining interactivity for an element. It is associated in a trigger with a trigger condition that defines when the action is to be processed.

The following features are supported:

- `Type`
- `Value`

See Also:
  - `DataPackage.getAction()`

## Method Summary

Modifier and Type
Method
Description
`Action`
`copyInstance()`
`ActionType`
`getType()`
Returns the value of the 'Type' attribute.
`ActionValue`
`getValue()`
Returns the value of the 'Value' containment reference.
`boolean`
`isSetType()`
Returns whether the value of the '`Type`' attribute is set.
`void`
`setType(ActionType value)`
Sets the value of the '`Type`' attribute.
`void`
`setValue(ActionValue value)`
Sets the value of the '`Value`' containment reference.
`void`
`unsetType()`
Unsets the value of the '`Type`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getType

ActionType getType()
Returns the value of the 'Type' attribute. The default value is `"URL_Redirect"`. The literals are from the enumeration `ActionType`. Specifies the type of Action. This value determines the way the Action Value is processed.

Returns:
  the value of the 'Type' attribute.
See Also:
  - `ActionType`
  - `isSetType()`
  - `unsetType()`
  - `setType(ActionType)`
  - `DataPackage.getAction_Type()`

### setType

void setType(ActionType value)
Sets the value of the '`Type`' attribute.

Parameters:
  `value` - the new value of the 'Type' attribute.
See Also:
  - `ActionType`
  - `isSetType()`
  - `unsetType()`
  - `getType()`

### unsetType

void unsetType()
Unsets the value of the '`Type`' attribute.

See Also:
  - `isSetType()`
  - `getType()`
  - `setType(ActionType)`

### isSetType

boolean isSetType()
Returns whether the value of the '`Type`' attribute is set.

Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `unsetType()`
  - `getType()`
  - `setType(ActionType)`

### getValue

ActionValue getValue()
Returns the value of the 'Value' containment reference. Gets the value of the action. This value defines the details for the action to be performed for a given element. (e.g. If action type is 'URL', the actual URL will be the value). Specifies the value of the Action.

Returns:
  the value of the 'Value' containment reference.
See Also:
  - `setValue(ActionValue)`
  - `DataPackage.getAction_Value()`

### setValue

void setValue(ActionValue value)
Sets the value of the '`Value`' containment reference.

Parameters:
  `value` - the new value of the 'Value' containment reference.
See Also:
  - `getValue()`

### copyInstance

Action copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`